Advanced Python field calculator needs documentation
Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18394
Description

Since the syntax is not standard QGIS field calculator syntax, users definitely need documentation here.

I've written down some notes
... especially that you have to put attribute names in pointy brackets is tricky.

History

#1 - 2014-03-25 07:55 AM - Alexander Bruy

Well, | agreed that this tool has different syntax in compare to QGIS Field calculator, but algorithm help files and documentation AFAIK located in special
repository https://github.com/volaya/Processing-Help

#2 - 2014-03-25 08:58 AM - Anita Graser

That's great if there is documentation on Github. Can we bring it into the plugin?

#3 - 2014-03-25 09:04 AM - Alexander Bruy

| don't know about Victor's plans regarding it. | think it will go into plugin at some point, but first we should write docs, because for most algorithms only

template file is available.

TauDEM is documented, some of the QGIS algorithms too. Not sure about others

#4 - 2014-05-13 08:27 AM - Antonio Locandro

Hi All, | spent almost a week wondering why things didn't work.

Here is my point of view, really processing should use QGIS Field calculator syntax and if possible bring it as a whole (most of GUI) so the user has the
same experience across QGIS, having a different syntax adds a complexity of its own specially if it has no associated help - Sorry, no help is available for
this algorithm. -

| am not to keen on using a different syntax since it makes it more difficult to work with than it should, in the mean time, can someone at least add a link to

open instead of - Sorry, no help is available for this algorithm. -

#5 - 2014-10-26 09:33 AM - Jiirgen Fischer
http://anitagraser.com/2013/04/20/advanced-python-field-calculator/
https://github.com/volaya/Processing-Help

- Subject changed from Processing - Advanced Python field calculator needs documentation to Advanced Python field calculator needs documentation

#6 - 2014-11-17 11:39 PM - Alexander Bruy
- Category changed from 94 to Processing/QGIS

#7 - 2014-11-29 02:35 AM - Alexander Bruy

- Status changed from Open to In Progress

Now documentation for Processing algs included in User Guide

#8 - 2014-12-11 01:27 AM - Alexander Bruy
- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Now Processing used help from User Guide. Reopen if necessary
